Uprgrading to 3.0: setup stops at action=complete

Summary

Uprgrading to 3.0: setup stops at “action=complete”
by php fatal error: require_once(): Failed opening required
…/revCore/core/model/modx/modcachemanager.class.php’ (include_path=’.:/usr/local/php/74x/data/php/pear’) in …/revCore/core/components/admintools/services/admintools.class.php on line 633

Step to reproduce

start “upgrade MODX”
2.8.3-pl ->: 3.0.0-pl

Environment

MODX 2.8.3-pl, php 7.3.33, libmysql - mysqlnd 8.0.15 , 10.3.25-MariaDB

It sounds like the extra AdminTools isn’t compatible with MODX 3.0 yet. You may need to uninstall that extra first before doing the upgrade.

1 Like

thank you digitalpenguin.
I did restore 2.8.3
I will wait until things are compatible.

There is another issue with 3.0 (at another install):
when I want to edit a resource or element the page remains blank mostly.

I did not have that trouble upgrading from 2.8.3 to 3.0.0 with UpgradeMODX, though things may have changed since I tested it.

I did have to clear the cache (with the CacheClear extra) and use the Chrome Cache Killer extension (or incognito mode). I suspect the latter steps would solve your problem with resources, which is likely a browser cache or cookie issue.

In addition to what @bobray suggested, check the browser console for any errors that are showing.

It could well be an incompatible plugin that’s messing with it. Try right-clicking on each plugin in the elements tree and deactivating it, then reload the resource/element to see if that was the culprit.